%define name shorewall
%define version 1.1.12
%define release 1mdk

Summary: Shoreline Firewall is an iptables-based firewall for Linux systems.
Name: %name
Version: %version
Release: %release
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://shorewall.sourceforge.net/
BuildArch: noarch
BuildRoot: %_tmppath/%{name}-buildroot
Requires: iptables
Requires: chkconfig
Provides: shorewall

%description

Shoreline Firewall is an iptables-based firewall for Linux systems.
The firewall is designed to be used on:
a) Single systems attached to the internet via dial-in POP or ISDN.
b) Single systems attached full-time to the internet (ASDL, Cable, etc.)
c) Linux system used as a Masquerading gateway for one or more client and/or
server systems.


%prep

%setup 

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}/
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/%{name}

cp -a {common.def,firewall,functions,hosts,icmp.def,interfaces,masq,modules,nat,policy,proxyarp,rules,shorewall.conf,tos,tunnels,zones} $RPM_BUILD_ROOT/etc/shorewall/
cp -a shorewall $RPM_BUILD_ROOT%{_sbindir}/shorewall
cp -a firewall $RPM_BUILD_ROOT%{_initrddir}/shorewall

echo %{version} > $RPM_BUILD_ROOT/etc/shorewall/version

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add shorewall

%preun
if [ $1 = 0 ]; then /sbin/chkconfig --del shorewall; fi

%files
%defattr(-,root,root,600)
%attr(700,root,root) %dir /etc/shorewall
%attr(750,root,root) %{_initrddir}/shorewall
%config /%_sysconfdir/%{name}/version
%config /%_sysconfdir/%{name}/common.def
%config /%_sysconfdir/%{name}/icmp.def
%config /%_sysconfdir/%{name}/firewall
%config(noreplace) /%_sysconfdir/%{name}/shorewall.conf
%config(noreplace) /%_sysconfdir/%{name}/zones
%config(noreplace) /%_sysconfdir/%{name}/policy
%config(noreplace) /%_sysconfdir/%{name}/interfaces
%config(noreplace) /%_sysconfdir/%{name}/rules
%config(noreplace) /%_sysconfdir/%{name}/nat
%config(noreplace) /%_sysconfdir/%{name}/proxyarp
%config(noreplace) /%_sysconfdir/%{name}/masq
%config(noreplace) /%_sysconfdir/%{name}/modules
%config(noreplace) /%_sysconfdir/%{name}/tos
%config(noreplace) /%_sysconfdir/%{name}/tunnels
%config(noreplace) /%_sysconfdir/%{name}/hosts            
%config %attr(444,root,root) /%_sysconfdir/%{name}/functions

%attr(544,root,root) %{_sbindir}/shorewall

%doc %attr(755,root,root) documentation/
%doc %attr(644,root,root) COPYING INSTALL changelog.txt releasenotes.txt tunnel

%changelog
* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.12-1mdk
- rebuild

* Wed Aug  1 2001 Sylvain de Tilly <sdetilly@ke.mandrakesoft.com> 1.1.10-1mdk
- Transforme original spec file to Mandrake's spec file

* Fri Jul 06 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 10
* Tue Jun 19 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 9
- Added tunnel file
- Readded tunnels file
* Mon Jun 18 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 8
* Sat Jun 02 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 7
- Changed iptables dependency.
* Tue May 22 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 6
- Added tunnels file
* Sat May 19 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 5
- Added modules and tos files
* Sat May 12 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 4
- Added changelog.txt and releasenotes.txt
* Sat Apr 28 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 3
* Mon Apr 9 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Added files common.def and icmpdef.def
- Changed release to 2
* Wed Apr 4 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed the release to 1.
* Mon Mar 26 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed the version to 1.1
- Added hosts file
* Sun Mar 18 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed the release to 4
- Added Zones and Functions files
* Mon Mar 12 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change ipchains dependency to an iptables dependency and 
  changed the release to 3
* Fri Mar 9 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Add additional files.
* Thu Mar 8 2001 Tom EAstep <teastep@seattlefirewall.dyndns.org>
- Change version to 1.0.2
* Tue Mar 6 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 1.0.1
* Sun Mar 4 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changes for Shorewall
* Thu Feb 22 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.1.0
* Fri Feb 2 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.0.4
* Mon Jan 22 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.0.2
* Sat Jan 20 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed version to 4.0
* Fri Jan 5 2001 Tom Eastep <teastep@evergo.net>
- Added dmzclients file
* Sun Dec 24 2000 Tom Eastep <teastep@evergo.net>
- Added ftpserver file
* Sat Aug 12 2000 Tom Eastep <teastep@evergo.net>
- Added "nat" and "proxyarp" files for 4.0
* Mon May 20 2000 Tom Eastep <teastep@evergo.net>
- added updown file
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- Corrected the group - Networking/Utilities
- Added "noreplace" attributes to config files, so current confis is not
  changed.
- Added the version file.
* Sat May 20 2000 Tom Eastep <teastep@evergo.net>
- Converted Simon's patch to version 3.1
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- 3.0.2 Initial RPM
  Patched the install script so it can take a PREFIX variable
